Subject: Re: hpfCompiler-1.00

From: Zheng Gengbin <[email-masked]>
Date: Fri, 28 Feb 1997 09:34:37 +0800 (EAT)

On Thu, 27 Feb 1997, Guansong Zhang wrote:

> On Feb 27, 10:29am, Zheng Gengbin wrote:
> >
> >
> > 	I will say the feeling is not so good ! I always type wrong
> > directory and if I donot make install the frontend , I cannot compile the
> > second part .
> >
> 
> If the frontEnd is not installed, the compiler can not be built.
> 
> > 	I think we can make the thing easier by only set the frontend
> > source directory as an environment variable . As to the exec_prefix ,
> > let user provide as argument or use default just as frontend do .
> >
> 
> I thought about this before, but it seems not good for an installed package to
> set an environment, ( In fact, the compiler package do try to find two var when
> configure, as described in INSTALL. ) usually, this will be done by changing
> .cshrc or .profile file.
> 

	Also I think it is too early to decide the sequence of trans0 ,1,2 now. 
Because we are conducting 2 other transes now . One is to translate f90
statements to f77 statements , another is to do the link other than BD and 
G . I think to name them not as a number but a meaningful name as before is 
easier to remember .

Zheng .